Package com.smartgwt.client.data

# Class SortSpecifier

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.data.SortSpecifier

All Implemented Interfaces:
  `HasHandlers`

public class SortSpecifier extends DataClass
Class defining the details of a single sort operation

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SortSpecifier(JavaScriptObject jsObj)`
  `SortSpecifier(String fieldName, SortDirection sortDirection)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SortSpecifier[]`
  `convertToArray(JavaScriptObject nativeArray)`
  `static SortSpecifier[]`
  `convertToArray(String sortByString)`
  `String`
  `getField()`
  The field name to which this sortSpecifier applies
  `static SortSpecifier`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `SortDirection`
  `getSortDirection()`
  The direction in which this specifier should sort.
  `void`
  `setDirection(SortDirection sortDirection)`
  The direction in which this specifier should sort.
  `void`
  `setField(String field)`
  The fieldName to which this sortSpecifier applies

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SortSpecifier

    public SortSpecifier(String fieldName, SortDirection sortDirection)

  - ### SortSpecifier

    public SortSpecifier(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static SortSpecifier getOrCreateRef(JavaScriptObject jsObj)

  - ### setDirection

    public void setDirection(SortDirection sortDirection)
    The direction in which this specifier should sort.
    Parameters:
      `sortDirection` - the sortDirection

  - ### getSortDirection

    public SortDirection getSortDirection()
    The direction in which this specifier should sort.
    Returns:
      the sortDirection

  - ### setField

    public void setField(String field)
    The fieldName to which this sortSpecifier applies
    Parameters:
      `field` - the field name

  - ### getField

    public String getField()
    The field name to which this sortSpecifier applies
    Returns:
      the field name

  - ### convertToArray

    public static SortSpecifier[] convertToArray(String sortByString)

  - ### convertToArray

    public static SortSpecifier[] convertToArray(JavaScriptObject nativeArray)